- Create a Datamart
Create a Datamart
- Create a Workspace with Datamart connection

Workspace
- **Create a Dashboard **

Create a Dashboard
- Create a DataApp

Create a Data App
- Generate API Token
- Navigate to the Data App.
- In the “API Token” section, generate the API token by specifying the name of company and description (optional)

- Create a Dashboard
dashboardId– Unique external dashboard ID (must not already exist).workspaceName– Must match a valid workspace linked to the API token’s company.clientId– Identifier of the client for which the dashboard is being created.templateId– Optional. External dashboard ID of a template to clone.accessSettings– Required. Defines permissions and feature access for the embed.

- Create Guest token by passing Client ID and DataApp Name
clientId, dataAppName. If expiryTime is not passed, the token will not expire.
Generating GUEST TOKEN for your Dashboard
Headers
Request Body
Example Response: 200 OK “token”: ”…”
When the response is successful it returns a token that you can pass to the frontend.
Simple Request Body


- The created dashboard will mimic the filter behavior of the cloned dashboard if a Template ID is provided.
- Once the dashboard is created, users can start building metrics.
Dashboard Updation
POST /embed/update
Dashboard Updation
POST /embed/update

Embedded Dashboard Deletion
POST /embed/delete
Embedded Dashboard Deletion
POST /embed/delete


